Package org.eclipse.wst.xsl.ui.internal.views.stylesheet

## org.eclipse.wst.xsl.ui.internal.views.stylesheet
Class XSLModelAdapterFactory

    public class XSLModelAdapterFactory
    extends java.lang.Object

## Constructor Summary

`XSLModelAdapterFactory()`

## Method Summary

`public java.lang.Object` | `getAdapter(java.lang.Object adaptableObject , java.lang.Class adapterType)`
`public java.lang.Class[]` | `getAdapterList()`

## Constructor Detail

## XSLModelAdapterFactory

`public XSLModelAdapterFactory()`

## Methods Detail

## getAdapter

`public java.lang.Object getAdapter(java.lang.Object adaptableObject , java.lang.Class adapterType)`

### Parameters

`adaptableObject`

`adapterType`

### Returns

`java.lang.Object`

## getAdapterList

`public java.lang.Class[] getAdapterList()`

### Returns

`java.lang.Class[]`